package org.springframework.boot.loader.jar;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Iterator;
import java.util.NoSuchElementException;
import org.springframework.boot.loader.jar.JarEntry;
import org.springframework.boot.loader.jar.JarFileEntries;

final class EntryIterator implements Iterator<JarEntry> {
  private final Runnable validator;
  
  private int index = 0;
  
  private EntryIterator(Runnable validator) {
    this.validator = validator;
    validator.run();
  }
  
  public boolean hasNext() {
    this.validator.run();
    return (this.index < JarFileEntries.access$100(JarFileEntries.this));
  }
  
  public JarEntry next() {
    this.validator.run();
    if (!hasNext())
      throw new NoSuchElementException(); 
    int entryIndex = JarFileEntries.access$200(JarFileEntries.this)[this.index];
    this.index++;
    return (JarEntry)JarFileEntries.access$300(JarFileEntries.this, entryIndex, JarEntry.class, false, null);
  }
}
